Docs Rizler

Intelligence

Get Agent Knowledge Bases

GEThttps://app.rizzdial.com/api/ai/agent/v2/manage/intelligence/knowledge-base/{agent_id}
Get Agent Knowledge Bases
curl --request GET \
  --url https://app.rizzdial.com/api/ai/agent/v2/manage/intelligence/knowledge-base/agent_123 \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "agent_id": "agent_123"
  },
  "message": "Saved",
  "success": true
}

Get Agent Knowledge Bases#

Get Agent Knowledge Bases. Use the public agent id from List Agents. This path only accepts agents allowed by the company package.

Authorizationstringheaderrequired

Bearer token in the format: Bearer {access_token}

agent_idstringpathrequired

Public agent id from List Agents

curl --request GET \
 --url https://app.rizzdial.com/api/ai/agent/v2/manage/intelligence/knowledge-base/agent_123 \
 --header 'Authorization: Bearer {{bearer_token}}'
successboolean

true when the call succeeds. Some list responses use status: success instead

dataobject

The saved record, or the list of records